Bug 1472871 - Update virt-what to detect AWS platform.
Update virt-what to detect AWS platform.
Status: VERIFIED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-what (Show other bugs)
7.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
:
: 681464 (view as bug list)
Depends On:
Blocks: 1113520 1301891 1288337
  Show dependency treegraph
 
Reported: 2017-07-19 10:56 EDT by Qi Guo [Flos]
Modified: 2018-01-17 02:33 EST (History)
3 users (show)

See Also:
Fixed In Version: virt-what-1.18-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Update virt-what to detect AWS via dmidecode data. (578 bytes, text/plain)
2017-07-19 10:56 EDT, Qi Guo [Flos]
no flags Details

  None (edit)
Description Qi Guo [Flos] 2017-07-19 10:56:49 EDT
Created attachment 1301150 [details]
Update virt-what to detect AWS via dmidecode data.

> Description of problem:
Current virt-what just shows up 'xen,xen-hvm' on Amazon AWS platform. A little patch can help to detect these systems.

> Version-Release number of selected component (if applicable):
virt-what-1.13-8.el7.x86_64 or latest upstream

> How reproducible:
Always

> Steps to Reproduce:
1. Start AWS instance.
2. Run virt-what as root

> Actual results:
Returned output:
xen
xen-hvm

> Expected results:
Output can be:
xen
xen-hvm
aws

> Additional info:
Please kindly check the patch in the attachment.
Comment 2 Richard W.M. Jones 2017-07-19 11:40:27 EDT
Thanks, I have pushed the patch upstream here:

http://git.annexia.org/?p=virt-what.git;a=commitdiff;h=dc32228184622b28f412f527c0f353347db029b8
Comment 3 Richard W.M. Jones 2017-07-19 11:42:10 EDT
*** Bug 681464 has been marked as a duplicate of this bug. ***
Comment 4 Qi Guo [Flos] 2017-07-19 21:41:16 EDT
Thank you Richard! ;)
Comment 5 Xianghua Chen 2017-07-31 02:32:17 EDT
Can reproduce this bug with :
virt-what-1.13-10.el7.x86_64

Steps:
1. Apply for a AWS account and start an rhel7.4 instance
2. 
# sudo virt-what
xen
xen-hvm
Comment 7 Xianghua Chen 2018-01-17 02:33:37 EST
Verified with packages:
virt-what-1.18-4.el7.x86_64

Steps:
1. Apply for a AWS account and start an rhel7.5 instance
2. 
# sudo virt-what
xen
xen-hvm
aws

Note You need to log in before you can comment on or make changes to this bug.